cancel
Showing results for 
Search instead for 
Did you mean: 

Displaying temporary info on a screen

Solution Partner Genius Solution Partner Genius
Solution Partner Genius

Hello everyone!

 

When we receive information about entities in NX, it shows on a screen temporary information objects like numbers 1, 2 and 3 on the picture. Can we show such things on a screen using NX Open? I don't know how these temporary objects are called, that's why I can't commit search.

 

numbers]

5 REPLIES

Re: Displaying temporary info on a screen

Phenom
Phenom

Yes.

Look up DisplayTemporaryText, DisplayTemporaryPoint, DisplayTemporaryLine, and DisplayTemporaryArc.

Re: Displaying temporary info on a screen

Siemens Phenom Siemens Phenom
Siemens Phenom

NXOpen.Display.TransientText

 

or

 

NXOpen.UF.UFDisp.DisplayTemporaryArc()

NXOpen.UF.UFDisp.DisplayTemporaryLine()

NXOpen.UF.UFDisp.DisplayTemporaryPoint()

NXOpen.UF.UFDisp.DisplayTemporaryText()

Re: Displaying temporary info on a screen

Solution Partner Genius Solution Partner Genius
Solution Partner Genius

Thank you for suggestions!

Re: Displaying temporary info on a screen

Solution Partner Genius Solution Partner Genius
Solution Partner Genius

Looked for the answer, but could not find it. Is it possible to visualise a direction with a temporary axis like this?

 

vector.png

Re: Displaying temporary info on a screen

Phenom
Phenom

Try the .LabeledConehead method.

 

theUFSession.Disp.LabeledConehead(...)